summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-shells/fzf')
-rw-r--r--app-shells/fzf/Manifest1
-rw-r--r--app-shells/fzf/fzf-0.27.2.ebuild109
2 files changed, 110 insertions, 0 deletions
diff --git a/app-shells/fzf/Manifest b/app-shells/fzf/Manifest
index e57289002e6..de64647703a 100644
--- a/app-shells/fzf/Manifest
+++ b/app-shells/fzf/Manifest
@@ -1,6 +1,7 @@
DIST fzf-0.25.0.tar.gz 176905 BLAKE2B fd0fa18643947428d8a7257f9aebf579e3d57fbc0216d4629ed77616d1729d2cc68514125b5de5b2e85b65b26d6c95e69942f076aa99aa27e57d4f9b778f8923 SHA512 73b65374334531ac81a64bb973cb976f4dab7c6458eb2705f323349223880294fa6238b0eeea3412ff121c5c1b70905b261ceb7994c2b00425b02c88286b36e3
DIST fzf-0.25.1.tar.gz 177955 BLAKE2B e5bb5e40ccdb36ba015196ba6e5abfff6b7c6f4b6ebc4c824d5e2c4e8107a08d49f03210732358bcbb56d1765448f8eecfe4a2e61405ebdd36984c3c54b7d818 SHA512 755046b4a8604fd3d1f2b66b967ad79cf5d4581dba1e40abed338c767d4421620df0f1f6a81a6c22c20da54dfdb1ff6847bad8f58ed83fc5e1928038c9d042f2
DIST fzf-0.27.0.tar.gz 182950 BLAKE2B 07aecedddded92af879d0ffc3e15721834cc0b2942b19cb9471b25e60c802b43bcbbbb0cfebbd6e7ea647c0654228974097a04ef7ac2428c2b1307d586249f83 SHA512 7a14a85d962a409e5008a135acb3f18d489dbd615696e925d2854e6304e289f59f573bcb267d8447ca2112087099b7115143b85f11decaa893ac2196328109ed
+DIST fzf-0.27.2.tar.gz 191941 BLAKE2B cad609a4171e4f3766b173b098a674b3469686265a6e30ff58b42b6ab5f29c539d860a78337d2985ebcfc8f4c249c979ab9e791db786b04dcdca0c55e5b81472 SHA512 8ca27b61b6b2a66bdfd06dc8ad9e5163f3b69d64a44e1a99df5a2af35a63ccf7a9a77f9faed27fead373f5c212396327a3c0300b31f22583a35a1ae2aeac9865
DIST github.com%2Fgdamore%2Fencoding%2F@v%2Fv1.0.0.mod 77 BLAKE2B 1b81c4c20a890027242b50f1566f4dfdaf120ee26d3dc56d0c2b6465df2ba79b208289eb40c3d7b666a4e7e874210f59aea545d5125c9a55c5597a3ca7f37feb SHA512 fb153c4e481c073133f0c933c67eba8a1f160ab146921f2c77125b6ff5c348cea57e3a5701a557c8db2212d32e3cba1c09b9509210660c17b66c2a45ba97cb75
DIST github.com%2Fgdamore%2Fencoding%2F@v%2Fv1.0.0.zip 19867 BLAKE2B a772206ce6dc48b32d7125a25b26694325d367ebcbad85466b2e6cfdb9fc9f0e08b98b7ecede5397344e5f7e623c4c76edcf69dcee99917adccf5b31aad80bf8 SHA512 127767c725e376b43fe4e2003ddc12fe89693d6d7e52b01e6d47d73fd04496decc0fd60b64c7a65303428e00a52ece1848610ea35231789a814187ef8503bee3
DIST github.com%2Fgdamore%2Ftcell%2F@v%2Fv1.4.0.mod 250 BLAKE2B 46093e9211011e814962ba2eafec4392948f185d27a202a8b626e16299e3a3fa4554a604933ceab584b27cca2b7a6b1f51d4e5fe10d673e875e38eca08de64ec SHA512 412dee57c525bd5a3c0ce9c482e7933814758e36ebb226a16392e648f57e280485f86e30f17be2339eed427b52e4b0b601401503d0bd324c7fa874e2fcba2b60
diff --git a/app-shells/fzf/fzf-0.27.2.ebuild b/app-shells/fzf/fzf-0.27.2.ebuild
new file mode 100644
index 00000000000..7c8238faf41
--- /dev/null
+++ b/app-shells/fzf/fzf-0.27.2.ebuild
@@ -0,0 +1,109 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit bash-completion-r1 go-module
+
+DESCRIPTION="General-purpose command-line fuzzy finder, written in GoLang"
+HOMEPAGE="https://github.com/junegunn/fzf"
+
+# For fancy versioning only. Bump on the next release!
+MY_GIT_REV=e086f0b
+
+EGO_SUM=(
+ "github.com/gdamore/encoding v1.0.0"
+ "github.com/gdamore/encoding v1.0.0/go.mod"
+ "github.com/gdamore/tcell v1.4.0"
+ "github.com/gdamore/tcell v1.4.0/go.mod"
+ "github.com/lucasb-eyer/go-colorful v1.0.3/go.mod"
+ "github.com/lucasb-eyer/go-colorful v1.2.0"
+ "github.com/lucasb-eyer/go-colorful v1.2.0/go.mod"
+ "github.com/mattn/go-isatty v0.0.12"
+ "github.com/mattn/go-isatty v0.0.12/go.mod"
+ "github.com/mattn/go-runewidth v0.0.7/go.mod"
+ "github.com/mattn/go-runewidth v0.0.12"
+ "github.com/mattn/go-runewidth v0.0.12/go.mod"
+ "github.com/mattn/go-shellwords v1.0.11"
+ "github.com/mattn/go-shellwords v1.0.11/go.mod"
+ "github.com/rivo/uniseg v0.1.0/go.mod"
+ "github.com/rivo/uniseg v0.2.0"
+ "github.com/rivo/uniseg v0.2.0/go.mod"
+ "github.com/saracen/walker v0.1.2"
+ "github.com/saracen/walker v0.1.2/go.mod"
+ "golang.org/x/sync v0.0.0-20200317015054-43a5402ce75a/go.mod"
+ "golang.org/x/sync v0.0.0-20210220032951-036812b2e83c"
+ "golang.org/x/sync v0.0.0-20210220032951-036812b2e83c/go.mod"
+ "golang.org/x/sys v0.0.0-20190626150813-e07cf5db2756/go.mod"
+ "golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
+ "golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
+ "golang.org/x/sys v0.0.0-20210403161142-5e06dd20ab57"
+ "golang.org/x/sys v0.0.0-20210403161142-5e06dd20ab57/go.mod"
+ "golang.org/x/term v0.0.0-20210317153231-de623e64d2a6"
+ "golang.org/x/term v0.0.0-20210317153231-de623e64d2a6/go.mod"
+ "golang.org/x/text v0.3.0/go.mod"
+ "golang.org/x/text v0.3.6"
+ "golang.org/x/text v0.3.6/go.mod"
+ "golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
+)
+
+go-module_set_globals
+
+SRC_URI="
+ https://github.com/junegunn/fzf/archive/${PV}.tar.gz -> ${P}.tar.gz
+ ${EGO_SUM_SRC_URI}
+"
+
+LICENSE="MIT BSD-with-disclosure"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_prepare() {
+ default
+ sed -i 's/-s -w //' Makefile || die # bug 795225
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}"/usr VERSION=${PV} REVISION=${MY_GIT_REV} bin/${PN}
+}
+
+src_install() {
+ dobin bin/${PN}
+ doman man/man1/${PN}.1
+
+ dobin bin/${PN}-tmux
+ doman man/man1/${PN}-tmux.1
+
+ insinto /usr/share/vim/vimfiles/plugin
+ doins plugin/${PN}.vim
+
+ insinto /usr/share/nvim/runtime/plugin
+ doins plugin/${PN}.vim
+
+ newbashcomp shell/completion.bash ${PN}
+
+ insinto /usr/share/zsh/site-functions
+ newins shell/completion.zsh _${PN}
+
+ insinto /usr/share/fzf
+ doins shell/key-bindings.bash
+ doins shell/key-bindings.fish
+ doins shell/key-bindings.zsh
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ elog "To add fzf support to your shell, make sure to use the right file"
+ elog "from /usr/share/fzf."
+ elog
+ elog "For bash, add the following line to ~/.bashrc:"
+ elog
+ elog " # source /usr/share/bash-completion/completions/fzf"
+ elog " # source /usr/share/fzf/key-bindings.bash"
+ elog
+ elog "Plugins for Vim and Neovim are installed to respective directories"
+ elog "and will work out of the box."
+ elog
+ elog "For fzf support in tmux see fzf-tmux(1)."
+ fi
+}